[PATCH] arch/alpha/kernel/*: use KERN_*

From: Christophe Lucas <clucas@rotomalug.org>

printk() calls should include appropriate KERN_* constant.

Signed-off-by: Christophe Lucas <clucas@rotomalug.org>

Index: linux-kj/arch/alpha/kernel/core_cia.c
===================================================================
--- linux-kj.orig/arch/alpha/kernel/core_cia.c	2005-10-11 18:36:36.000000000 +0400
+++ linux-kj/arch/alpha/kernel/core_cia.c	2005-10-11 18:38:17.000000000 +0400
@@ -428,7 +428,7 @@ verify_tb_operation(void)
 	mcheck_expected(0) = 0;
 	mb();
 	if (mcheck_taken(0)) {
-		printk("pci: failed sg loopback i/o read test (mcheck)\n");
+		printk(KERN_WARNING "pci: failed sg loopback i/o read test (mcheck)\n");
 		goto failed;
 	}
 	if (temp != data0) {
@@ -445,9 +445,9 @@ verify_tb_operation(void)
 		temp = *(vip)CIA_IOC_TB_TAGn(0);
 		if (temp & 1) {
 			use_tbia_try2 = 1;
-			printk("pci: failed tbia test; workaround available\n");
+			printk(KERN_WARNING "pci: failed tbia test; workaround available\n");
 		} else {
-			printk("pci: passed tbia test\n");
+			printk(KERN_INFO "pci: passed tbia test\n");
 		}
 	}
 
@@ -465,7 +465,7 @@ verify_tb_operation(void)
 	mcheck_expected(0) = 0;
 	mb();
 	if (mcheck_taken(0)) {
-		printk("pci: failed pte write cache snoop test (mcheck)\n");
+		printk(KERN_WARNING "pci: failed pte write cache snoop test (mcheck)\n");
 		goto failed;
 	}
 	if (temp != data0) {
@@ -512,7 +512,7 @@ verify_tb_operation(void)
 	mb();
 	mcheck_expected(0) = 0;
 	mb();
-	printk("pci: %s pci machine check test\n",
+	printk(KERN_INFO "pci: %s pci machine check test\n",
 	       mcheck_taken(0) ? "passed" : "failed");
 
 	/* Clean up after the tests.  */
@@ -529,7 +529,7 @@ verify_tb_operation(void)
 		*(vip)CIA_IOC_TB_TAGn(2) = 2;
 		*(vip)CIA_IOC_TB_TAGn(3) = 2;
 
-		printk("pci: tbia workaround enabled\n");
+		printk(KERN_INFO "pci: tbia workaround enabled\n");
 	}
 	alpha_mv.mv_pci_tbi(arena->hose, 0, -1);
 
@@ -546,7 +546,7 @@ exit:
 	return;
 
 failed:
-	printk("pci: disabling sg translation window\n");
+	printk(KERN_INFO "pci: disabling sg translation window\n");
 	*(vip)CIA_IOC_PCI_W0_BASE = 0;
 	*(vip)CIA_IOC_PCI_W1_BASE = 0;
 	pci_isa_hose->sg_isa = NULL;
@@ -632,7 +632,7 @@ do_init_arch(int is_pyxis)
 	int temp, cia_rev, tbia_window;
 
 	cia_rev = *(vip)CIA_IOC_CIA_REV & CIA_REV_MASK;
-	printk("pci: cia revision %d%s\n",
+	printk(KERN_INFO "pci: cia revision %d%s\n",
 	       cia_rev, is_pyxis ? " (pyxis)" : "");
 
 	if (alpha_using_srm)
Index: linux-kj/arch/alpha/kernel/core_irongate.c
===================================================================
--- linux-kj.orig/arch/alpha/kernel/core_irongate.c	2005-10-11 18:36:36.000000000 +0400
+++ linux-kj/arch/alpha/kernel/core_irongate.c	2005-10-11 18:38:17.000000000 +0400
@@ -169,13 +169,13 @@ irongate_pci_clr_err(void)
 
 again:
 	IRONGATE_jd = IRONGATE0->stat_cmd;
-	printk("Iron stat_cmd %x\n", IRONGATE_jd);
+	printk(KERN_INFO "Iron stat_cmd %x\n", IRONGATE_jd);
 	IRONGATE0->stat_cmd = IRONGATE_jd; /* write again clears error bits */
 	mb();
 	IRONGATE_jd = IRONGATE0->stat_cmd;  /* re-read to force write */
 
 	IRONGATE_jd = *IronECC;
-	printk("Iron ECC %x\n", IRONGATE_jd);
+	printk(KERN_INFO "Iron ECC %x\n", IRONGATE_jd);
 	*IronECC = IRONGATE_jd; /* write again clears error bits */
 	mb();
 	IRONGATE_jd = *IronECC;  /* re-read to force write */
@@ -351,7 +351,7 @@ irongate_ioremap(unsigned long addr, uns
 	 * Adjust the limits (mappings must be page aligned)
 	 */
 	if (addr & ~PAGE_MASK) {
-		printk("AGP ioremap failed... addr not page aligned (0x%lx)\n",
+		printk(KERN_WARNING "AGP ioremap failed... addr not page aligned (0x%lx)\n",
 		       addr);
 		return (void __iomem *)(addr + IRONGATE_MEM);
 	}
@@ -359,17 +359,17 @@ irongate_ioremap(unsigned long addr, uns
 	size = PAGE_ALIGN(last) - addr;
 
 #if 0
-	printk("irongate_ioremap(0x%lx, 0x%lx)\n", addr, size);
-	printk("irongate_ioremap:  gart_bus_addr  0x%lx\n", gart_bus_addr);
-	printk("irongate_ioremap:  gart_aper_size 0x%lx\n", gart_aper_size);
-	printk("irongate_ioremap:  mmio_regs      %p\n", mmio_regs);
-	printk("irongate_ioremap:  gatt_pages     %p\n", gatt_pages);
+	printk(KERN_DEBUG "irongate_ioremap(0x%lx, 0x%lx)\n", addr, size);
+	printk(KERN_DEBUG "irongate_ioremap:  gart_bus_addr  0x%lx\n", gart_bus_addr);
+	printk(KERN_DEBUG "irongate_ioremap:  gart_aper_size 0x%lx\n", gart_aper_size);
+	printk(KERN_DEBUG "irongate_ioremap:  mmio_regs      %p\n", mmio_regs);
+	printk(KERN_DEBUG "irongate_ioremap:  gatt_pages     %p\n", gatt_pages);
 	
 	for(baddr = addr; baddr <= last; baddr += PAGE_SIZE)
 	{
 		cur_gatt = phys_to_virt(GET_GATT(baddr) & ~1);
 		pte = cur_gatt[GET_GATT_OFF(baddr)] & ~1;
-		printk("irongate_ioremap:  cur_gatt %p pte 0x%x\n",
+		printk(KERN_DEBUG "irongate_ioremap:  cur_gatt %p pte 0x%x\n",
 		       cur_gatt, pte);
 	}
 #endif
@@ -389,7 +389,7 @@ irongate_ioremap(unsigned long addr, uns
 
 		if (__alpha_remap_area_pages(vaddr,
 					     pte, PAGE_SIZE, 0)) {
-			printk("AGP ioremap: FAILED to map...\n");
+			printk(KERN_WARNING "AGP ioremap: FAILED to map...\n");
 			vfree(area->addr);
 			return NULL;
 		}
@@ -399,7 +399,7 @@ irongate_ioremap(unsigned long addr, uns
 
 	vaddr = (unsigned long)area->addr + (addr & ~PAGE_MASK);
 #if 0
-	printk("irongate_ioremap(0x%lx, 0x%lx) returning 0x%lx\n",
+	printk(KERN_DEBUG "irongate_ioremap(0x%lx, 0x%lx) returning 0x%lx\n",
 	       addr, size, vaddr);
 #endif
 	return (void __iomem *)vaddr;
Index: linux-kj/arch/alpha/kernel/core_lca.c
===================================================================
--- linux-kj.orig/arch/alpha/kernel/core_lca.c	2005-10-11 18:36:36.000000000 +0400
+++ linux-kj/arch/alpha/kernel/core_lca.c	2005-10-11 18:38:17.000000000 +0400
@@ -334,23 +334,23 @@ lca_init_arch(void)
 static void
 mem_error(unsigned long esr, unsigned long ear)
 {
-	printk("    %s %s error to %s occurred at address %x\n",
+	printk(KERN_ERR "    %s %s error to %s occurred at address %x\n",
 	       ((esr & ESR_CEE) ? "Correctable" :
 		(esr & ESR_UEE) ? "Uncorrectable" : "A"),
 	       (esr & ESR_WRE) ? "write" : "read",
 	       (esr & ESR_SOR) ? "memory" : "b-cache",
 	       (unsigned) (ear & 0x1ffffff8));
 	if (esr & ESR_CTE) {
-		printk("    A b-cache tag parity error was detected.\n");
+		printk(KERN_ERR "    A b-cache tag parity error was detected.\n");
 	}
 	if (esr & ESR_MSE) {
-		printk("    Several other correctable errors occurred.\n");
+		printk(KERN_ERR "    Several other correctable errors occurred.\n");
 	}
 	if (esr & ESR_MHE) {
-		printk("    Several other uncorrectable errors occurred.\n");
+		printk(KERN_ERR "    Several other uncorrectable errors occurred.\n");
 	}
 	if (esr & ESR_NXM) {
-		printk("    Attempted to access non-existent memory.\n");
+		printk(KERN_ERR "    Attempted to access non-existent memory.\n");
 	}
 }
 
@@ -372,16 +372,16 @@ ioc_error(__u32 stat0, __u32 stat1)
 	unsigned code = (stat0 & IOC_CODE) >> IOC_CODE_SHIFT;
 	unsigned cmd  = (stat0 & IOC_CMD)  >> IOC_CMD_SHIFT;
 
-	printk("    %s initiated PCI %s cycle to address %x"
+	printk(KERN_ERR "    %s initiated PCI %s cycle to address %x"
 	       " failed due to %s.\n",
 	       code > 3 ? "PCI" : "CPU", pci_cmd[cmd], stat1, err_name[code]);
 
 	if (code == 5 || code == 6) {
-		printk("    (Error occurred at PCI memory address %x.)\n",
+		printk(KERN_ERR "    (Error occurred at PCI memory address %x.)\n",
 		       (stat0 & ~IOC_P_NBR));
 	}
 	if (stat0 & IOC_LOST) {
-		printk("    Other PCI errors occurred simultaneously.\n");
+		printk(KERN_ERR "    Other PCI errors occurred simultaneously.\n");
 	}
 }
 
@@ -482,12 +482,12 @@ lca_clock_print(void)
 
         pmr_reg = LCA_READ_PMR;
 
-        printk("Status of clock control:\n");
-        printk("\tPrimary clock divisor\t0x%lx\n", LCA_GET_PRIMARY(pmr_reg));
-        printk("\tOverride clock divisor\t0x%lx\n", LCA_GET_OVERRIDE(pmr_reg));
-        printk("\tInterrupt override is %s\n",
+        printk(KERN_INFO "Status of clock control:\n");
+        printk(KERN_INFO "\tPrimary clock divisor\t0x%lx\n", LCA_GET_PRIMARY(pmr_reg));
+        printk(KERN_INFO "\tOverride clock divisor\t0x%lx\n", LCA_GET_OVERRIDE(pmr_reg));
+        printk(KERN_INFO "\tInterrupt override is %s\n",
 	       (pmr_reg & LCA_PMR_INTO) ? "on" : "off"); 
-        printk("\tDMA override is %s\n",
+        printk(KERN_INFO "\tDMA override is %s\n",
 	       (pmr_reg & LCA_PMR_DMAO) ? "on" : "off"); 
 
 }
Index: linux-kj/arch/alpha/kernel/core_marvel.c
===================================================================
--- linux-kj.orig/arch/alpha/kernel/core_marvel.c	2005-10-11 18:36:36.000000000 +0400
+++ linux-kj/arch/alpha/kernel/core_marvel.c	2005-10-11 18:38:17.000000000 +0400
@@ -332,7 +332,7 @@ marvel_init_io7(struct io7 *io7)
 {
 	int i;
 
-	printk("Initializing IO7 at PID %d\n", io7->pe);
+	printk(KERN_INFO "Initializing IO7 at PID %d\n", io7->pe);
 
 	/*
 	 * Get the Port 7 CSR pointer.
@@ -361,7 +361,7 @@ marvel_io7_present(gct6_node *node)
 		return;
 
 	pe = (node->id >> 8) & 0xff;
-	printk("Found an IO7 at PID %d\n", pe);
+	printk(KERN_INFO "Found an IO7 at PID %d\n", pe);
 
 	alloc_io7(pe);
 }
@@ -383,7 +383,7 @@ marvel_init_vga_hose(void)
 		 *         need to fix this decode when the console 
 		 *         changes its encoding
 		 */
-		printk("console graphics is on hose %d (console)\n", h);
+		printk(KERN_INFO "console graphics is on hose %d (console)\n", h);
 
 		/*
 		 * The console's hose numbering is:
@@ -399,7 +399,7 @@ marvel_init_vga_hose(void)
 			hose = io7->ports[port].hose;
 
 		if (hose) {
-			printk("Console graphics on hose %d\n", hose->index);
+			printk(KERN_INFO "Console graphics on hose %d\n", hose->index);
 			pci_vga_hose = hose;
 		}
 	}
@@ -426,7 +426,7 @@ marvel_specify_io7(char *str)
 	do {
 		pid = simple_strtoul(str, &pchar, 0);
 		if (pchar != str) {
-			printk("User-specified IO7 at PID %lu\n", pid);
+			printk(KERN_INFO "User-specified IO7 at PID %lu\n", pid);
 			io7 = alloc_io7(pid);
 			if (io7) marvel_init_io7(io7);
 		}
@@ -759,7 +759,7 @@ marvel_ioremap(unsigned long addr, unsig
 		    baddr += PAGE_SIZE, vaddr += PAGE_SIZE) {
 			pfn = ptes[baddr >> PAGE_SHIFT];
 			if (!(pfn & 1)) {
-				printk("ioremap failed... pte not valid...\n");
+				printk(KERN_ERR "ioremap failed... pte not valid...\n");
 				vfree(area->addr);
 				return NULL;
 			}
@@ -768,7 +768,7 @@ marvel_ioremap(unsigned long addr, unsig
 			if (__alpha_remap_area_pages(vaddr,
 						     pfn << PAGE_SHIFT, 
 						     PAGE_SIZE, 0)) {
-				printk("FAILED to map...\n");
+				printk(KERN_ERR "FAILED to map...\n");
 				vfree(area->addr);
 				return NULL;
 			}
@@ -1002,7 +1002,7 @@ marvel_agp_configure(alpha_agp_info *agp
 		 * Don't know what this PLL setting is, take the requested
 		 * rate, but warn the user.
 		 */
-		printk("%s: unknown PLL setting RNGB=%lx (PLL6_CTL=%016lx)\n",
+		printk(KERN_INFO "%s: unknown PLL setting RNGB=%lx (PLL6_CTL=%016lx)\n",
 		       __FUNCTION__, IO7_PLL_RNGB(agp_pll), agp_pll);
 		break;
 	}
@@ -1011,7 +1011,7 @@ marvel_agp_configure(alpha_agp_info *agp
 	 * Set the new rate, if necessary.
 	 */
 	if (new_rate) {
-		printk("Requested AGP Rate %dX not compatible "
+		printk(KERN_INFO "Requested AGP Rate %dX not compatible "
 		       "with PLL setting - using %dX\n",
 		       agp->mode.bits.rate,
 		       new_rate);
@@ -1019,7 +1019,7 @@ marvel_agp_configure(alpha_agp_info *agp
 		agp->mode.bits.rate = new_rate;
 	}
 		
-	printk("Enabling AGP on hose %d: %dX%s RQ %d\n", 
+	printk(KERN_INFO "Enabling AGP on hose %d: %dX%s RQ %d\n", 
 	       agp->hose->index, agp->mode.bits.rate, 
 	       agp->mode.bits.sba ? " - SBA" : "", agp->mode.bits.rq);
 
@@ -1053,13 +1053,13 @@ marvel_agp_translate(alpha_agp_info *agp
 
 	if (addr < agp->aperture.bus_base ||
 	    addr >= agp->aperture.bus_base + agp->aperture.size) {
-		printk("%s: addr out of range\n", __FUNCTION__);
+		printk(KERN_ERR "%s: addr out of range\n", __FUNCTION__);
 		return -EINVAL;
 	}
 
 	pte = aper->arena->ptes[baddr >> PAGE_SHIFT];
 	if (!(pte & 1)) {
-		printk("%s: pte not valid\n", __FUNCTION__);
+		printk(KERN_ERR "%s: pte not valid\n", __FUNCTION__);
 		return -EINVAL;
 	} 
 	return (pte >> 1) << PAGE_SHIFT;
@@ -1109,7 +1109,7 @@ marvel_agp_info(void)
 	if (!hose || !hose->sg_pci)
 		return NULL;
 
-	printk("MARVEL - using hose %d as AGP\n", hose->index);
+	printk(KERN_INFO "MARVEL - using hose %d as AGP\n", hose->index);
 
 	/* 
 	 * Get the csrs from the hose.
Index: linux-kj/arch/alpha/kernel/core_apecs.c
===================================================================
--- linux-kj.orig/arch/alpha/kernel/core_apecs.c	2005-10-11 18:36:36.000000000 +0400
+++ linux-kj/arch/alpha/kernel/core_apecs.c	2005-10-11 18:38:17.000000000 +0400
@@ -182,7 +182,7 @@ conf_read(unsigned long addr, unsigned c
 	if (stat0 & 0xffe0U) {
 		/* If not NDEV, print status.  */
 		if (!(stat0 & 0x0800)) {
-			printk("apecs.c:conf_read: got stat0=%x\n", stat0);
+			printk(KERN_INFO "apecs.c:conf_read: got stat0=%x\n", stat0);
 		}
 
 		/* Reset error status.  */
@@ -251,7 +251,7 @@ conf_write(unsigned long addr, unsigned 
 	if (stat0 & 0xffe0U) {
 		/* If not NDEV, print status.  */
 		if (!(stat0 & 0x0800)) {
-			printk("apecs.c:conf_write: got stat0=%x\n", stat0);
+			printk(KERN_INFO "apecs.c:conf_write: got stat0=%x\n", stat0);
 		}
 
 		/* Reset error status.  */
Index: linux-kj/arch/alpha/kernel/core_mcpcia.c
===================================================================
--- linux-kj.orig/arch/alpha/kernel/core_mcpcia.c	2005-10-11 18:36:36.000000000 +0400
+++ linux-kj/arch/alpha/kernel/core_mcpcia.c	2005-10-11 18:38:17.000000000 +0400
@@ -433,7 +433,7 @@ mcpcia_init_hoses(void)
 		}
 	}
 
-	printk("mcpcia_init_hoses: found %d hoses\n", hose_count);
+	printk(KERN_INFO "mcpcia_init_hoses: found %d hoses\n", hose_count);
 
 	/* Now do init for each hose.  */
 	for (hose = hose_head; hose; hose = hose->next)
@@ -450,65 +450,65 @@ mcpcia_print_uncorrectable(struct el_MCP
 
 	/* Print PAL fields */
 	for (i = 0; i < 24; i += 2) {
-		printk("  paltmp[%d-%d] = %16lx %16lx\n",
+		printk(KERN_INFO "  paltmp[%d-%d] = %16lx %16lx\n",
 		       i, i+1, frame->paltemp[i], frame->paltemp[i+1]);
 	}
 	for (i = 0; i < 8; i += 2) {
-		printk("  shadow[%d-%d] = %16lx %16lx\n",
+		printk(KERN_INFO "  shadow[%d-%d] = %16lx %16lx\n",
 		       i, i+1, frame->shadow[i], 
 		       frame->shadow[i+1]);
 	}
-	printk("  Addr of excepting instruction  = %16lx\n",
+	printk(KERN_INFO "  Addr of excepting instruction  = %16lx\n",
 	       frame->exc_addr);
-	printk("  Summary of arithmetic traps    = %16lx\n",
+	printk(KERN_INFO "  Summary of arithmetic traps    = %16lx\n",
 	       frame->exc_sum);
-	printk("  Exception mask                 = %16lx\n",
+	printk(KERN_INFO "  Exception mask                 = %16lx\n",
 	       frame->exc_mask);
-	printk("  Base address for PALcode       = %16lx\n",
+	printk(KERN_INFO "  Base address for PALcode       = %16lx\n",
 	       frame->pal_base);
-	printk("  Interrupt Status Reg           = %16lx\n",
+	printk(KERN_INFO "  Interrupt Status Reg           = %16lx\n",
 	       frame->isr);
-	printk("  CURRENT SETUP OF EV5 IBOX      = %16lx\n",
+	printk(KERN_INFO "  CURRENT SETUP OF EV5 IBOX      = %16lx\n",
 	       frame->icsr);
-	printk("  I-CACHE Reg %s parity error   = %16lx\n",
+	printk(KERN_INFO "  I-CACHE Reg %s parity error   = %16lx\n",
 	       (frame->ic_perr_stat & 0x800L) ? 
 	       "Data" : "Tag", 
 	       frame->ic_perr_stat); 
-	printk("  D-CACHE error Reg              = %16lx\n",
+	printk(KERN_INFO "  D-CACHE error Reg              = %16lx\n",
 	       frame->dc_perr_stat);
 	if (frame->dc_perr_stat & 0x2) {
 		switch (frame->dc_perr_stat & 0x03c) {
 		case 8:
-			printk("    Data error in bank 1\n");
+			printk(KERN_INFO "    Data error in bank 1\n");
 			break;
 		case 4:
-			printk("    Data error in bank 0\n");
+			printk(KERN_INFO "    Data error in bank 0\n");
 			break;
 		case 20:
-			printk("    Tag error in bank 1\n");
+			printk(KERN_INFO "    Tag error in bank 1\n");
 			break;
 		case 10:
-			printk("    Tag error in bank 0\n");
+			printk(KERN_INFO "    Tag error in bank 0\n");
 			break;
 		}
 	}
-	printk("  Effective VA                   = %16lx\n",
+	printk(KERN_INFO "  Effective VA                   = %16lx\n",
 	       frame->va);
-	printk("  Reason for D-stream            = %16lx\n",
+	printk(KERN_INFO "  Reason for D-stream            = %16lx\n",
 	       frame->mm_stat);
-	printk("  EV5 SCache address             = %16lx\n",
+	printk(KERN_INFO "  EV5 SCache address             = %16lx\n",
 	       frame->sc_addr);
-	printk("  EV5 SCache TAG/Data parity     = %16lx\n",
+	printk(KERN_INFO "  EV5 SCache TAG/Data parity     = %16lx\n",
 	       frame->sc_stat);
-	printk("  EV5 BC_TAG_ADDR                = %16lx\n",
+	printk(KERN_INFO "  EV5 BC_TAG_ADDR                = %16lx\n",
 	       frame->bc_tag_addr);
-	printk("  EV5 EI_ADDR: Phys addr of Xfer = %16lx\n",
+	printk(KERN_INFO "  EV5 EI_ADDR: Phys addr of Xfer = %16lx\n",
 	       frame->ei_addr);
-	printk("  Fill Syndrome                  = %16lx\n",
+	printk(KERN_INFO "  Fill Syndrome                  = %16lx\n",
 	       frame->fill_syndrome);
-	printk("  EI_STAT reg                    = %16lx\n",
+	printk(KERN_INFO "  EI_STAT reg                    = %16lx\n",
 	       frame->ei_stat);
-	printk("  LD_LOCK                        = %16lx\n",
+	printk(KERN_INFO "  LD_LOCK                        = %16lx\n",
 	       frame->ld_lock);
 }
 
@@ -549,25 +549,25 @@ mcpcia_print_system_area(unsigned long l
 
 	for (hose = hose_head; hose; hose = hose->next, iodpp++) {
 
-	  printk("IOD %d Register Subpacket - Bridge Base Address %16lx\n",
+	  printk(KERN_INFO "IOD %d Register Subpacket - Bridge Base Address %16lx\n",
 		 hose->index, iodpp->base);
-	  printk("  WHOAMI      = %8x\n", iodpp->whoami);
-	  printk("  PCI_REV     = %8x\n", iodpp->pci_rev);
-	  printk("  CAP_CTRL    = %8x\n", iodpp->cap_ctrl);
-	  printk("  HAE_MEM     = %8x\n", iodpp->hae_mem);
-	  printk("  HAE_IO      = %8x\n", iodpp->hae_io);
-	  printk("  INT_CTL     = %8x\n", iodpp->int_ctl);
-	  printk("  INT_REG     = %8x\n", iodpp->int_reg);
-	  printk("  INT_MASK0   = %8x\n", iodpp->int_mask0);
-	  printk("  INT_MASK1   = %8x\n", iodpp->int_mask1);
-	  printk("  MC_ERR0     = %8x\n", iodpp->mc_err0);
-	  printk("  MC_ERR1     = %8x\n", iodpp->mc_err1);
-	  printk("  CAP_ERR     = %8x\n", iodpp->cap_err);
-	  printk("  PCI_ERR1    = %8x\n", iodpp->pci_err1);
-	  printk("  MDPA_STAT   = %8x\n", iodpp->mdpa_stat);
-	  printk("  MDPA_SYN    = %8x\n", iodpp->mdpa_syn);
-	  printk("  MDPB_STAT   = %8x\n", iodpp->mdpb_stat);
-	  printk("  MDPB_SYN    = %8x\n", iodpp->mdpb_syn);
+	  printk(KERN_INFO "  WHOAMI      = %8x\n", iodpp->whoami);
+	  printk(KERN_INFO "  PCI_REV     = %8x\n", iodpp->pci_rev);
+	  printk(KERN_INFO "  CAP_CTRL    = %8x\n", iodpp->cap_ctrl);
+	  printk(KERN_INFO "  HAE_MEM     = %8x\n", iodpp->hae_mem);
+	  printk(KERN_INFO "  HAE_IO      = %8x\n", iodpp->hae_io);
+	  printk(KERN_INFO "  INT_CTL     = %8x\n", iodpp->int_ctl);
+	  printk(KERN_INFO "  INT_REG     = %8x\n", iodpp->int_reg);
+	  printk(KERN_INFO "  INT_MASK0   = %8x\n", iodpp->int_mask0);
+	  printk(KERN_INFO "  INT_MASK1   = %8x\n", iodpp->int_mask1);
+	  printk(KERN_INFO "  MC_ERR0     = %8x\n", iodpp->mc_err0);
+	  printk(KERN_INFO "  MC_ERR1     = %8x\n", iodpp->mc_err1);
+	  printk(KERN_INFO "  CAP_ERR     = %8x\n", iodpp->cap_err);
+	  printk(KERN_INFO "  PCI_ERR1    = %8x\n", iodpp->pci_err1);
+	  printk(KERN_INFO "  MDPA_STAT   = %8x\n", iodpp->mdpa_stat);
+	  printk(KERN_INFO "  MDPA_SYN    = %8x\n", iodpp->mdpa_syn);
+	  printk(KERN_INFO "  MDPB_STAT   = %8x\n", iodpp->mdpb_stat);
+	  printk(KERN_INFO "  MDPB_SYN    = %8x\n", iodpp->mdpb_syn);
 	}
 }
 
Index: linux-kj/arch/alpha/kernel/core_polaris.c
===================================================================
--- linux-kj.orig/arch/alpha/kernel/core_polaris.c	2005-10-11 18:36:36.000000000 +0400
+++ linux-kj/arch/alpha/kernel/core_polaris.c	2005-10-11 18:38:17.000000000 +0400
@@ -152,7 +152,7 @@ polaris_init_arch(void)
 	 * already.
 	 */
 #if 0
-	printk("polaris_init_arch(): trusting firmware for setup\n");
+	printk(KERN_INFO "polaris_init_arch(): trusting firmware for setup\n");
 #endif
 
 	/*
Index: linux-kj/arch/alpha/kernel/core_t2.c
===================================================================
--- linux-kj.orig/arch/alpha/kernel/core_t2.c	2005-10-11 18:36:36.000000000 +0400
+++ linux-kj/arch/alpha/kernel/core_t2.c	2005-10-11 18:38:17.000000000 +0400
@@ -335,7 +335,7 @@ t2_direct_map_window1(unsigned long base
 	*(vulp)T2_TBASE1 = 0;
 
 #if DEBUG_PRINT_FINAL_SETTINGS
-	printk("%s: setting WBASE1=0x%lx WMASK1=0x%lx TBASE1=0x%lx\n",
+	printk(KERN_DEBUG "%s: setting WBASE1=0x%lx WMASK1=0x%lx TBASE1=0x%lx\n",
 	       __FUNCTION__,
 	       *(vulp)T2_WBASE1,
 	       *(vulp)T2_WMASK1,
@@ -365,7 +365,7 @@ t2_sg_map_window2(struct pci_controller 
 	t2_pci_tbi(hose, 0, -1); /* flush TLB all */
 
 #if DEBUG_PRINT_FINAL_SETTINGS
-	printk("%s: setting WBASE2=0x%lx WMASK2=0x%lx TBASE2=0x%lx\n",
+	printk(KERN_DEBUG "%s: setting WBASE2=0x%lx WMASK2=0x%lx TBASE2=0x%lx\n",
 	       __FUNCTION__,
 	       *(vulp)T2_WBASE2,
 	       *(vulp)T2_WMASK2,
@@ -377,15 +377,15 @@ static void __init
 t2_save_configuration(void)
 {
 #if DEBUG_PRINT_INITIAL_SETTINGS
-	printk("%s: HAE_1 was 0x%lx\n", __FUNCTION__, srm_hae); /* HW is 0 */
-	printk("%s: HAE_2 was 0x%lx\n", __FUNCTION__, *(vulp)T2_HAE_2);
-	printk("%s: HAE_3 was 0x%lx\n", __FUNCTION__, *(vulp)T2_HAE_3);
-	printk("%s: HAE_4 was 0x%lx\n", __FUNCTION__, *(vulp)T2_HAE_4);
-	printk("%s: HBASE was 0x%lx\n", __FUNCTION__, *(vulp)T2_HBASE);
+	printk(KERN_DEBUG "%s: HAE_1 was 0x%lx\n", __FUNCTION__, srm_hae); /* HW is 0 */
+	printk(KERN_DEBUG "%s: HAE_2 was 0x%lx\n", __FUNCTION__, *(vulp)T2_HAE_2);
+	printk(KERN_DEBUG "%s: HAE_3 was 0x%lx\n", __FUNCTION__, *(vulp)T2_HAE_3);
+	printk(KERN_DEBUG "%s: HAE_4 was 0x%lx\n", __FUNCTION__, *(vulp)T2_HAE_4);
+	printk(KERN_DEBUG "%s: HBASE was 0x%lx\n", __FUNCTION__, *(vulp)T2_HBASE);
 
-	printk("%s: WBASE1=0x%lx WMASK1=0x%lx TBASE1=0x%lx\n", __FUNCTION__, 
+	printk(KERN_DEBUG "%s: WBASE1=0x%lx WMASK1=0x%lx TBASE1=0x%lx\n", __FUNCTION__, 
 	       *(vulp)T2_WBASE1, *(vulp)T2_WMASK1, *(vulp)T2_TBASE1);
-	printk("%s: WBASE2=0x%lx WMASK2=0x%lx TBASE2=0x%lx\n", __FUNCTION__, 
+	printk(KERN_DEBUG "%s: WBASE2=0x%lx WMASK2=0x%lx TBASE2=0x%lx\n", __FUNCTION__, 
 	       *(vulp)T2_WBASE2, *(vulp)T2_WMASK2, *(vulp)T2_TBASE2);
 #endif
 
@@ -423,7 +423,7 @@ t2_init_arch(void)
 	/* Enable scatter/gather TLB use.  */
 	temp = *(vulp)T2_IOCSR;
 	if (!(temp & (0x1UL << 26))) {
-		printk("t2_init_arch: enabling SG TLB, IOCSR was 0x%lx\n",
+		printk(KERN_INFO "t2_init_arch: enabling SG TLB, IOCSR was 0x%lx\n",
 		       temp);
 		*(vulp)T2_IOCSR = temp | (0x1UL << 26);
 		mb();	
@@ -580,7 +580,7 @@ t2_machine_check(unsigned long vector, u
 		 */
 #ifdef CONFIG_VERBOSE_MCHECK
 		if (alpha_verbose_mcheck > 1) {
-			printk("t2_machine_check(cpu%d): any_expected 0x%x -"
+			printk(KERN_INFO "t2_machine_check(cpu%d): any_expected 0x%x -"
 			       " (assumed) spurious -"
 			       " code 0x%x\n", cpu, t2_mcheck_any_expected,
 			       (unsigned int)mchk_header->code);
@@ -593,7 +593,7 @@ t2_machine_check(unsigned long vector, u
 		if (t2_mcheck_last_taken & (1 << cpu)) {
 #ifdef CONFIG_VERBOSE_MCHECK
 		    if (alpha_verbose_mcheck > 1) {
-			printk("t2_machine_check(cpu%d): last_taken 0x%x - "
+			printk(KERN_INFO "t2_machine_check(cpu%d): last_taken 0x%x - "
 			       "unexpected mcheck - code 0x%x\n",
 			       cpu, t2_mcheck_last_taken,
 			       (unsigned int)mchk_header->code);
@@ -610,7 +610,7 @@ t2_machine_check(unsigned long vector, u
 
 #ifdef CONFIG_VERBOSE_MCHECK
 	if (alpha_verbose_mcheck > 1) {
-		printk("%s t2_mcheck(cpu%d): last_taken 0x%x - "
+		printk(KERN_INFO "%s t2_mcheck(cpu%d): last_taken 0x%x - "
 		       "any_expected 0x%x - code 0x%x\n",
 		       (mcheck_expected(cpu) ? "EX" : "UN"), cpu,
 		       t2_mcheck_last_taken, t2_mcheck_any_expected,
Index: linux-kj/arch/alpha/kernel/core_titan.c
===================================================================
--- linux-kj.orig/arch/alpha/kernel/core_titan.c	2005-10-11 18:36:36.000000000 +0400
+++ linux-kj/arch/alpha/kernel/core_titan.c	2005-10-11 18:38:17.000000000 +0400
@@ -374,7 +374,7 @@ titan_init_vga_hose(void)
 		}
 
 		if (hose) {
-			printk("Console graphics on hose %d\n", hose->index);
+			printk(KERN_INFO "Console graphics on hose %d\n", hose->index);
 			pci_vga_hose = hose;
 		}
 	}
@@ -385,21 +385,21 @@ void __init
 titan_init_arch(void)
 {
 #if 0
-	printk("%s: titan_init_arch()\n", __FUNCTION__);
-	printk("%s: CChip registers:\n", __FUNCTION__);
-	printk("%s: CSR_CSC 0x%lx\n", __FUNCTION__, TITAN_cchip->csc.csr);
-	printk("%s: CSR_MTR 0x%lx\n", __FUNCTION__, TITAN_cchip->mtr.csr);
-	printk("%s: CSR_MISC 0x%lx\n", __FUNCTION__, TITAN_cchip->misc.csr);
-	printk("%s: CSR_DIM0 0x%lx\n", __FUNCTION__, TITAN_cchip->dim0.csr);
-	printk("%s: CSR_DIM1 0x%lx\n", __FUNCTION__, TITAN_cchip->dim1.csr);
-	printk("%s: CSR_DIR0 0x%lx\n", __FUNCTION__, TITAN_cchip->dir0.csr);
-	printk("%s: CSR_DIR1 0x%lx\n", __FUNCTION__, TITAN_cchip->dir1.csr);
-	printk("%s: CSR_DRIR 0x%lx\n", __FUNCTION__, TITAN_cchip->drir.csr);
-
-	printk("%s: DChip registers:\n", __FUNCTION__);
-	printk("%s: CSR_DSC 0x%lx\n", __FUNCTION__, TITAN_dchip->dsc.csr);
-	printk("%s: CSR_STR 0x%lx\n", __FUNCTION__, TITAN_dchip->str.csr);
-	printk("%s: CSR_DREV 0x%lx\n", __FUNCTION__, TITAN_dchip->drev.csr);
+	printk(KERN_DEBUG "%s: titan_init_arch()\n", __FUNCTION__);
+	printk(KERN_DEBUG "%s: CChip registers:\n", __FUNCTION__);
+	printk(KERN_DEBUG "%s: CSR_CSC 0x%lx\n", __FUNCTION__, TITAN_cchip->csc.csr);
+	printk(KERN_DEBUG "%s: CSR_MTR 0x%lx\n", __FUNCTION__, TITAN_cchip->mtr.csr);
+	printk(KERN_DEBUG "%s: CSR_MISC 0x%lx\n", __FUNCTION__, TITAN_cchip->misc.csr);
+	printk(KERN_DEBUG "%s: CSR_DIM0 0x%lx\n", __FUNCTION__, TITAN_cchip->dim0.csr);
+	printk(KERN_DEBUG "%s: CSR_DIM1 0x%lx\n", __FUNCTION__, TITAN_cchip->dim1.csr);
+	printk(KERN_DEBUG "%s: CSR_DIR0 0x%lx\n", __FUNCTION__, TITAN_cchip->dir0.csr);
+	printk(KERN_DEBUG "%s: CSR_DIR1 0x%lx\n", __FUNCTION__, TITAN_cchip->dir1.csr);
+	printk(KERN_DEBUG "%s: CSR_DRIR 0x%lx\n", __FUNCTION__, TITAN_cchip->drir.csr);
+
+	printk(KERN_DEBUG "%s: DChip registers:\n", __FUNCTION__);
+	printk(KERN_DEBUG "%s: CSR_DSC 0x%lx\n", __FUNCTION__, TITAN_dchip->dsc.csr);
+	printk(KERN_DEBUG "%s: CSR_STR 0x%lx\n", __FUNCTION__, TITAN_dchip->str.csr);
+	printk(KERN_DEBUG "%s: CSR_DREV 0x%lx\n", __FUNCTION__, TITAN_dchip->drev.csr);
 #endif
 
 	boot_cpuid = __hard_smp_processor_id();
@@ -530,7 +530,7 @@ titan_ioremap(unsigned long addr, unsign
 		    baddr += PAGE_SIZE, vaddr += PAGE_SIZE) {
 			pfn = ptes[baddr >> PAGE_SHIFT];
 			if (!(pfn & 1)) {
-				printk("ioremap failed... pte not valid...\n");
+				printk(KERN_ERR "ioremap failed... pte not valid...\n");
 				vfree(area->addr);
 				return NULL;
 			}
@@ -539,7 +539,7 @@ titan_ioremap(unsigned long addr, unsign
 			if (__alpha_remap_area_pages(vaddr,
 						     pfn << PAGE_SHIFT, 
 						     PAGE_SIZE, 0)) {
-				printk("FAILED to map...\n");
+				printk(KERN_ERR "FAILED to map...\n");
 				vfree(area->addr);
 				return NULL;
 			}
@@ -711,13 +711,13 @@ titan_agp_translate(alpha_agp_info *agp,
 
 	if (addr < agp->aperture.bus_base ||
 	    addr >= agp->aperture.bus_base + agp->aperture.size) {
-		printk("%s: addr out of range\n", __FUNCTION__);
+		printk(KERN_ERR "%s: addr out of range\n", __FUNCTION__);
 		return -EINVAL;
 	}
 
 	pte = aper->arena->ptes[baddr >> PAGE_SHIFT];
 	if (!(pte & 1)) {
-		printk("%s: pte not valid\n", __FUNCTION__);
+		printk(KERN_ERR "%s: pte not valid\n", __FUNCTION__);
 		return -EINVAL;
 	}
 
Index: linux-kj/arch/alpha/kernel/core_tsunami.c
===================================================================
--- linux-kj.orig/arch/alpha/kernel/core_tsunami.c	2005-10-11 18:36:36.000000000 +0400
+++ linux-kj/arch/alpha/kernel/core_tsunami.c	2005-10-11 18:38:17.000000000 +0400
@@ -211,7 +211,7 @@ tsunami_probe_read(volatile unsigned lon
 	mcheck_taken(cpu) = 0;
 	setipl(s);
 
-	printk("dont_care == 0x%lx\n", dont_care);
+	printk(KERN_INFO "dont_care == 0x%lx\n", dont_care);
 
 	return probe_result;
 }
@@ -229,7 +229,7 @@ tsunami_probe_write(volatile unsigned lo
 		int source = (TSUNAMI_cchip->misc.csr >> 29) & 7;
 		TSUNAMI_cchip->misc.csr |= (1L << 28); /* ...and unlock NXS. */
 		probe_result = 0;
-		printk("tsunami_probe_write: unit %d at 0x%016lx\n", source,
+		printk(KERN_INFO "tsunami_probe_write: unit %d at 0x%016lx\n", source,
 		       (unsigned long)vaddr);
 	}
 	if (probe_result)
@@ -362,27 +362,27 @@ tsunami_init_arch(void)
 	/* NXMs just don't matter to Tsunami--unless they make it
 	   choke completely. */
 	tmp = (unsigned long)(TSUNAMI_cchip - 1);
-	printk("%s: probing bogus address:  0x%016lx\n", FN, bogus_addr);
-	printk("\tprobe %s\n",
+	printk(KERN_INFO "%s: probing bogus address:  0x%016lx\n", FN, bogus_addr);
+	printk(KERN_INFO "\tprobe %s\n",
 	       tsunami_probe_write((unsigned long *)bogus_addr)
 	       ? "succeeded" : "failed");
 #endif /* NXM_MACHINE_CHECKS_ON_TSUNAMI */
 
 #if 0
-	printk("%s: CChip registers:\n", FN);
-	printk("%s: CSR_CSC 0x%lx\n", FN, TSUNAMI_cchip->csc.csr);
-	printk("%s: CSR_MTR 0x%lx\n", FN, TSUNAMI_cchip.mtr.csr);
-	printk("%s: CSR_MISC 0x%lx\n", FN, TSUNAMI_cchip->misc.csr);
-	printk("%s: CSR_DIM0 0x%lx\n", FN, TSUNAMI_cchip->dim0.csr);
-	printk("%s: CSR_DIM1 0x%lx\n", FN, TSUNAMI_cchip->dim1.csr);
-	printk("%s: CSR_DIR0 0x%lx\n", FN, TSUNAMI_cchip->dir0.csr);
-	printk("%s: CSR_DIR1 0x%lx\n", FN, TSUNAMI_cchip->dir1.csr);
-	printk("%s: CSR_DRIR 0x%lx\n", FN, TSUNAMI_cchip->drir.csr);
-
-	printk("%s: DChip registers:\n");
-	printk("%s: CSR_DSC 0x%lx\n", FN, TSUNAMI_dchip->dsc.csr);
-	printk("%s: CSR_STR 0x%lx\n", FN, TSUNAMI_dchip->str.csr);
-	printk("%s: CSR_DREV 0x%lx\n", FN, TSUNAMI_dchip->drev.csr);
+	printk(KERN_DEBUG "%s: CChip registers:\n", FN);
+	printk(KERN_DEBUG "%s: CSR_CSC 0x%lx\n", FN, TSUNAMI_cchip->csc.csr);
+	printk(KERN_DEBUG "%s: CSR_MTR 0x%lx\n", FN, TSUNAMI_cchip.mtr.csr);
+	printk(KERN_DEBUG "%s: CSR_MISC 0x%lx\n", FN, TSUNAMI_cchip->misc.csr);
+	printk(KERN_DEBUG "%s: CSR_DIM0 0x%lx\n", FN, TSUNAMI_cchip->dim0.csr);
+	printk(KERN_DEBUG "%s: CSR_DIM1 0x%lx\n", FN, TSUNAMI_cchip->dim1.csr);
+	printk(KERN_DEBUG "%s: CSR_DIR0 0x%lx\n", FN, TSUNAMI_cchip->dir0.csr);
+	printk(KERN_DEBUG "%s: CSR_DIR1 0x%lx\n", FN, TSUNAMI_cchip->dir1.csr);
+	printk(KERN_DEBUG "%s: CSR_DRIR 0x%lx\n", FN, TSUNAMI_cchip->drir.csr);
+
+	printk(KERN_DEBUG "%s: DChip registers:\n");
+	printk(KERN_DEBUG "%s: CSR_DSC 0x%lx\n", FN, TSUNAMI_dchip->dsc.csr);
+	printk(KERN_DEBUG "%s: CSR_STR 0x%lx\n", FN, TSUNAMI_dchip->str.csr);
+	printk(KERN_DEBUG "%s: CSR_DREV 0x%lx\n", FN, TSUNAMI_dchip->drev.csr);
 #endif
 	/* With multiple PCI busses, we play with I/O as physical addrs.  */
 	ioport_resource.end = ~0UL;
Index: linux-kj/arch/alpha/kernel/pci.c
===================================================================
--- linux-kj.orig/arch/alpha/kernel/pci.c	2005-10-11 18:36:36.000000000 +0400
+++ linux-kj/arch/alpha/kernel/pci.c	2005-10-11 18:38:17.000000000 +0400
@@ -408,7 +408,7 @@ pcibios_set_master(struct pci_dev *dev)
 	u8 lat;
 	pci_read_config_byte(dev, PCI_LATENCY_TIMER, &lat);
 	if (lat >= 16) return;
-	printk("PCI: Setting latency timer of device %s to 64\n",
+	printk(KERN_INFO "PCI: Setting latency timer of device %s to 64\n",
 							pci_name(dev));
 	pci_write_config_byte(dev, PCI_LATENCY_TIMER, 64);
 }
Index: linux-kj/arch/alpha/kernel/pci_iommu.c
===================================================================
--- linux-kj.orig/arch/alpha/kernel/pci_iommu.c	2005-10-11 18:36:36.000000000 +0400
+++ linux-kj/arch/alpha/kernel/pci_iommu.c	2005-10-11 18:38:17.000000000 +0400
@@ -79,7 +79,7 @@ iommu_arena_new_node(int nid, struct pci
         if (!NODE_DATA(nid) ||
             (NULL == (arena = alloc_bootmem_node(NODE_DATA(nid),
                                                  sizeof(*arena))))) {
-                printk("%s: couldn't allocate arena from node %d\n"
+                printk(KERN_WARNING "%s: couldn't allocate arena from node %d\n"
                        "    falling back to system-wide allocation\n",
                        __FUNCTION__, nid);
                 arena = alloc_bootmem(sizeof(*arena));
@@ -90,7 +90,7 @@ iommu_arena_new_node(int nid, struct pci
                                                          mem_size,
                                                          align,
                                                          0)))) {
-                printk("%s: couldn't allocate arena ptes from node %d\n"
+                printk(KERN_WARNING "%s: couldn't allocate arena ptes from node %d\n"
                        "    falling back to system-wide allocation\n",
                        __FUNCTION__, nid);
                 arena->ptes = __alloc_bootmem(mem_size, align, 0);
Index: linux-kj/arch/alpha/kernel/ptrace.c
===================================================================
--- linux-kj.orig/arch/alpha/kernel/ptrace.c	2005-10-11 18:36:36.000000000 +0400
+++ linux-kj/arch/alpha/kernel/ptrace.c	2005-10-11 18:38:17.000000000 +0400
@@ -232,7 +232,7 @@ ptrace_cancel_bpt(struct task_struct * c
 	child->thread_info->bpt_nsaved = 0;
 
 	if (nsaved > 2) {
-		printk("ptrace_cancel_bpt: bogus nsaved: %d!\n", nsaved);
+		printk(KERN_ERR "ptrace_cancel_bpt: bogus nsaved: %d!\n", nsaved);
 		nsaved = 2;
 	}
 
Index: linux-kj/arch/alpha/kernel/semaphore.c
===================================================================
--- linux-kj.orig/arch/alpha/kernel/semaphore.c	2005-10-11 18:36:36.000000000 +0400
+++ linux-kj/arch/alpha/kernel/semaphore.c	2005-10-11 18:38:17.000000000 +0400
@@ -68,7 +68,7 @@ __down_failed(struct semaphore *sem)
 	DECLARE_WAITQUEUE(wait, tsk);
 
 #ifdef CONFIG_DEBUG_SEMAPHORE
-	printk("%s(%d): down failed(%p)\n",
+	printk(KERN_DEBUG "%s(%d): down failed(%p)\n",
 	       tsk->comm, tsk->pid, sem);
 #endif
 
@@ -97,7 +97,7 @@ __down_failed(struct semaphore *sem)
 	wake_up(&sem->wait);
 
 #ifdef CONFIG_DEBUG_SEMAPHORE
-	printk("%s(%d): down acquired(%p)\n",
+	printk(KERN_DEBUG "%s(%d): down acquired(%p)\n",
 	       tsk->comm, tsk->pid, sem);
 #endif
 }
@@ -110,7 +110,7 @@ __down_failed_interruptible(struct semap
 	long ret = 0;
 
 #ifdef CONFIG_DEBUG_SEMAPHORE
-	printk("%s(%d): down failed(%p)\n",
+	printk(KERN_DEBUG "%s(%d): down failed(%p)\n",
 	       tsk->comm, tsk->pid, sem);
 #endif
 
@@ -138,7 +138,7 @@ __down_failed_interruptible(struct semap
 	wake_up(&sem->wait);
 
 #ifdef CONFIG_DEBUG_SEMAPHORE
-	printk("%s(%d): down %s(%p)\n",
+	printk(KERN_DEBUG "%s(%d): down %s(%p)\n",
 	       current->comm, current->pid,
 	       (ret < 0 ? "interrupted" : "acquired"), sem);
 #endif
@@ -167,7 +167,7 @@ down(struct semaphore *sem)
 	CHECK_MAGIC(sem->__magic);
 #endif
 #ifdef CONFIG_DEBUG_SEMAPHORE
-	printk("%s(%d): down(%p) <count=%d> from %p\n",
+	printk(KERN_DEBUG "%s(%d): down(%p) <count=%d> from %p\n",
 	       current->comm, current->pid, sem,
 	       atomic_read(&sem->count), __builtin_return_address(0));
 #endif
@@ -181,7 +181,7 @@ down_interruptible(struct semaphore *sem
 	CHECK_MAGIC(sem->__magic);
 #endif
 #ifdef CONFIG_DEBUG_SEMAPHORE
-	printk("%s(%d): down(%p) <count=%d> from %p\n",
+	printk(KERN_DEBUG "%s(%d): down(%p) <count=%d> from %p\n",
 	       current->comm, current->pid, sem,
 	       atomic_read(&sem->count), __builtin_return_address(0));
 #endif
@@ -200,7 +200,7 @@ down_trylock(struct semaphore *sem)
 	ret = __down_trylock(sem);
 
 #ifdef CONFIG_DEBUG_SEMAPHORE
-	printk("%s(%d): down_trylock %s from %p\n",
+	printk(KERN_DEBUG "%s(%d): down_trylock %s from %p\n",
 	       current->comm, current->pid,
 	       ret ? "failed" : "acquired",
 	       __builtin_return_address(0));
@@ -216,7 +216,7 @@ up(struct semaphore *sem)
 	CHECK_MAGIC(sem->__magic);
 #endif
 #ifdef CONFIG_DEBUG_SEMAPHORE
-	printk("%s(%d): up(%p) <count=%d> from %p\n",
+	printk(KERN_DEBUG "%s(%d): up(%p) <count=%d> from %p\n",
 	       current->comm, current->pid, sem,
 	       atomic_read(&sem->count), __builtin_return_address(0));
 #endif
Index: linux-kj/arch/alpha/kernel/setup.c
===================================================================
--- linux-kj.orig/arch/alpha/kernel/setup.c	2005-10-11 18:36:36.000000000 +0400
+++ linux-kj/arch/alpha/kernel/setup.c	2005-10-11 18:38:17.000000000 +0400
@@ -285,7 +285,7 @@ move_initrd(unsigned long mem_limit)
 	memmove(start, (void *)initrd_start, size);
 	initrd_start = (unsigned long)start;
 	initrd_end = initrd_start + size;
-	printk("initrd moved to %p\n", start);
+	printk(KERN_INFO "initrd moved to %p\n", start);
 	return start;
 }
 #endif
@@ -306,7 +306,7 @@ setup_memory(void *kernel_end)
 	  (hwrpb->mddt_offset + (unsigned long) hwrpb);
 
 	for_each_mem_cluster(memdesc, cluster, i) {
-		printk("memcluster %lu, usage %01lx, start %8lu, end %8lu\n",
+		printk(KERN_INFO "memcluster %lu, usage %01lx, start %8lu, end %8lu\n",
 		       i, cluster->usage, cluster->start_pfn,
 		       cluster->start_pfn + cluster->numpages);
 
@@ -341,7 +341,7 @@ setup_memory(void *kernel_end)
 
 	if (mem_size_limit && max_low_pfn >= mem_size_limit)
 	{
-		printk("setup: forcing memory size to %ldK (from %ldK).\n",
+		printk(KERN_INFO "setup: forcing memory size to %ldK (from %ldK).\n",
 		       mem_size_limit << (PAGE_SHIFT - 10),
 		       max_low_pfn    << (PAGE_SHIFT - 10));
 		max_low_pfn = mem_size_limit;
@@ -410,7 +410,7 @@ setup_memory(void *kernel_end)
 				free_bootmem(PFN_PHYS(start),
 					     (PFN_PHYS(start_kernel_pfn)
 					      - PFN_PHYS(start)));
-				printk("freeing pages %ld:%ld\n",
+				printk(KERN_INFO "freeing pages %ld:%ld\n",
 				       start, start_kernel_pfn);
 				start = end_kernel_pfn;
 			} else if (end > start_kernel_pfn)
@@ -421,23 +421,23 @@ setup_memory(void *kernel_end)
 			continue;
 
 		free_bootmem(PFN_PHYS(start), PFN_PHYS(end) - PFN_PHYS(start));
-		printk("freeing pages %ld:%ld\n", start, end);
+		printk(KERN_INFO "freeing pages %ld:%ld\n", start, end);
 	}
 
 	/* Reserve the bootmap memory.  */
 	reserve_bootmem(PFN_PHYS(bootmap_start), bootmap_size);
-	printk("reserving pages %ld:%ld\n", bootmap_start, bootmap_start+PFN_UP(bootmap_size));
+	printk(KERN_INFO "reserving pages %ld:%ld\n", bootmap_start, bootmap_start+PFN_UP(bootmap_size));
 
 #ifdef CONFIG_BLK_DEV_INITRD
 	initrd_start = INITRD_START;
 	if (initrd_start) {
 		initrd_end = initrd_start+INITRD_SIZE;
-		printk("Initial ramdisk at: 0x%p (%lu bytes)\n",
+		printk(KERN_INFO "Initial ramdisk at: 0x%p (%lu bytes)\n",
 		       (void *) initrd_start, INITRD_SIZE);
 
 		if ((void *)initrd_end > phys_to_virt(PFN_PHYS(max_low_pfn))) {
 			if (!move_initrd(PFN_PHYS(max_low_pfn)))
-				printk("initrd extends beyond end of memory "
+				printk(KERN_INFO "initrd extends beyond end of memory "
 				       "(0x%08lx > 0x%p)\ndisabling initrd\n",
 				       initrd_end,
 				       phys_to_virt(PFN_PHYS(max_low_pfn)));
@@ -662,7 +662,7 @@ setup_arch(char **cmdline_p)
 #endif
 	       "\n");
 
-	printk("Command line: %s\n", command_line);
+	printk(KERN_INFO "Command line: %s\n", command_line);
 
 	/* 
 	 * Sync up the HAE.
@@ -716,7 +716,7 @@ setup_arch(char **cmdline_p)
  	 */
 
  	if (hwrpb->max_asn != MAX_ASN) {
-		printk("Max ASN from HWRPB is bad (0x%lx)\n", hwrpb->max_asn);
+		printk(KERN_INFO "Max ASN from HWRPB is bad (0x%lx)\n", hwrpb->max_asn);
  	}
 
 	/*
@@ -1307,7 +1307,7 @@ external_cache_probe(int minsize, int wi
 		cycles = read_mem_block(__va(0), stride, size);
 		if (cycles > prev_cycles * 2) {
 			/* Fine, we exceed the cache. */
-			printk("%ldK Bcache detected; load hit latency %d "
+			printk(KERN_INFO "%ldK Bcache detected; load hit latency %d "
 			       "cycles, load miss latency %d cycles\n",
 			       size >> 11, prev_cycles, cycles);
 			return CSHAPE(size >> 1, width, 1);
Index: linux-kj/arch/alpha/kernel/signal.c
===================================================================
--- linux-kj.orig/arch/alpha/kernel/signal.c	2005-10-11 18:36:36.000000000 +0400
+++ linux-kj/arch/alpha/kernel/signal.c	2005-10-11 18:38:17.000000000 +0400
@@ -478,7 +478,7 @@ setup_frame(int sig, struct k_sigaction 
 	wrusp((unsigned long) frame);
 	
 #if DEBUG_SIG
-	printk("SIG deliver (%s:%d): sp=%p pc=%p ra=%p\n",
+	printk(KERN_DEBUG "SIG deliver (%s:%d): sp=%p pc=%p ra=%p\n",
 		current->comm, current->pid, frame, regs->pc, regs->r26);
 #endif
 
@@ -540,7 +540,7 @@ setup_rt_frame(int sig, struct k_sigacti
 	wrusp((unsigned long) frame);
 
 #if DEBUG_SIG
-	printk("SIG deliver (%s:%d): sp=%p pc=%p ra=%p\n",
+	printk(KERN_DEBUG "SIG deliver (%s:%d): sp=%p pc=%p ra=%p\n",
 		current->comm, current->pid, frame, regs->pc, regs->r26);
 #endif
 
Index: linux-kj/arch/alpha/kernel/smc37c669.c
===================================================================
--- linux-kj.orig/arch/alpha/kernel/smc37c669.c	2005-10-11 18:36:36.000000000 +0400
+++ linux-kj/arch/alpha/kernel/smc37c669.c	2005-10-11 18:38:17.000000000 +0400
@@ -1898,45 +1898,45 @@ static unsigned int __init SMC37c669_get
 void __init SMC37c669_display_device_info ( void )
 {
     if ( SMC37c669_is_device_enabled( SERIAL_0 ) ) {
-    	printk( "  Serial 0:    Enabled [ Port 0x%x, IRQ %d ]\n",
+    	printk(KERN_INFO "  Serial 0:    Enabled [ Port 0x%x, IRQ %d ]\n",
 		 local_config[ SERIAL_0 ].port1,
 		 local_config[ SERIAL_0 ].irq
 	);
     }
     else {
-    	printk( "  Serial 0:    Disabled\n" );
+    	printk(KERN_INFO "  Serial 0:    Disabled\n" );
     }
 
     if ( SMC37c669_is_device_enabled( SERIAL_1 ) ) {
-    	printk( "  Serial 1:    Enabled [ Port 0x%x, IRQ %d ]\n",
+    	printk(KERN_INFO "  Serial 1:    Enabled [ Port 0x%x, IRQ %d ]\n",
 		 local_config[ SERIAL_1 ].port1,
 		 local_config[ SERIAL_1 ].irq
 	);
     }
     else {
-    	printk( "  Serial 1:    Disabled\n" );
+    	printk(KERN_INFO "  Serial 1:    Disabled\n" );
     }
 
     if ( SMC37c669_is_device_enabled( PARALLEL_0 ) ) {
-    	printk( "  Parallel:    Enabled [ Port 0x%x, IRQ %d/%d ]\n",
+    	printk(KERN_INFO "  Parallel:    Enabled [ Port 0x%x, IRQ %d/%d ]\n",
 		 local_config[ PARALLEL_0 ].port1,
 		 local_config[ PARALLEL_0 ].irq,
 		 local_config[ PARALLEL_0 ].drq
 	);
     }
     else {
-    	printk( "  Parallel:    Disabled\n" );
+    	printk(KERN_INFO "  Parallel:    Disabled\n" );
     }
 
     if ( SMC37c669_is_device_enabled( FLOPPY_0 ) ) {
-    	printk( "  Floppy Ctrl: Enabled [ Port 0x%x, IRQ %d/%d ]\n",
+    	printk(KERN_INFO "  Floppy Ctrl: Enabled [ Port 0x%x, IRQ %d/%d ]\n",
 		 local_config[ FLOPPY_0 ].port1,
 		 local_config[ FLOPPY_0 ].irq,
 		 local_config[ FLOPPY_0 ].drq
 	);
     }
     else {
-    	printk( "  Floppy Ctrl: Disabled\n" );
+    	printk(KERN_INFO "  Floppy Ctrl: Disabled\n" );
     }
 
     if ( SMC37c669_is_device_enabled( IDE_0 ) ) {
@@ -1946,7 +1946,7 @@ void __init SMC37c669_display_device_inf
 	);
     }
     else {
-    	printk( "  IDE 0:       Disabled\n" );
+    	printk(KERN_INFO "  IDE 0:       Disabled\n" );
     }
 }
 
@@ -2452,7 +2452,7 @@ SMC37c669_dump_registers(void)
 {
   int i;
   for (i = 0; i <= 0x29; i++)
-    printk("-- CR%02x : %02x\n", i, SMC37c669_read_config(i));
+    printk(KERN_DEBUG "-- CR%02x : %02x\n", i, SMC37c669_read_config(i));
 }
 /*+
  * ============================================================================
@@ -2542,13 +2542,13 @@ void __init SMC669_Init ( int index )
         SMC37c669_display_device_info( );
 #endif
 	local_irq_restore(flags);
-        printk( "SMC37c669 Super I/O Controller found @ 0x%lx\n",
+        printk(KERN_INFO "SMC37c669 Super I/O Controller found @ 0x%lx\n",
 		(unsigned long) SMC_base );
     }
     else {
 	local_irq_restore(flags);
 #if SMC_DEBUG
-        printk( "No SMC37c669 Super I/O Controller found\n" );
+        printk(KERN_INFO "No SMC37c669 Super I/O Controller found\n" );
 #endif
     }
 }
Index: linux-kj/arch/alpha/kernel/smc37c93x.c
===================================================================
--- linux-kj.orig/arch/alpha/kernel/smc37c93x.c	2005-10-11 18:36:36.000000000 +0400
+++ linux-kj/arch/alpha/kernel/smc37c93x.c	2005-10-11 18:38:17.000000000 +0400
@@ -265,7 +265,7 @@ int __init SMC93x_Init(void)
 #endif
 		SMCRunState(SMCUltraBase);
 		local_irq_restore(flags);
-		printk("SMC FDC37C93X Ultra I/O Controller found @ 0x%lx\n",
+		printk(KERN_INFO "SMC FDC37C93X Ultra I/O Controller found @ 0x%lx\n",
 		       SMCUltraBase);
 		return 1;
 	}
